cURL
curl --request DELETE \
--url https://sandbox.zapyd.com/cms/api/v1/customer/wallet/{customer_id}/{wallet_id}/delete \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/cms/api/v1/customer/wallet/{customer_id}/{wallet_id}/delete"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/cms/api/v1/customer/wallet/{customer_id}/{wallet_id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallet deleted successfully",
"data": {
"id": 42,
"wallet_address": "0x1234567890123456789012345678901234567890",
"network": "Ethereum",
"label": "Main wallet",
"status": "ACTIVE",
"is_visible": true,
"created_at": "2026-09-30T10:00:00Z"
}
}{
"status": false,
"message": "Bad Request",
"data": null,
"errors": {
"non_field_errors": [
"Wallet not found."
]
},
"err_code": "UNKNOWN_ERROR"
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"errors": {},
"err_code": "SYS_INTERNAL_ERROR"
}Wallets
Delete Wallet
Deletes a customer’s wallet.
DELETE
/
customer
/
wallet
/
{customer_id}
/
{wallet_id}
/
delete
cURL
Delete Wallet
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
Customer's unique identifier
Wallet ID returned by Add Wallet (integer)
Response
Success
Example:
true
Example:
"Wallet deleted successfully"
Hide child attributes
Hide child attributes
Wallet ID (integer). Use it in the fetch and delete paths.
Example:
42
Wallet address
Example:
"0x1234567890123456789012345678901234567890"
Canonical network name
Available options:
Ethereum, Polygon, Arbitrum, Bsc, Sepolia, Solana, Tron Example:
"Ethereum"
Label shown in the address book. Only labelled wallets are returned by List Wallets.
Example:
"Main wallet"
Wallet status
Available options:
ACTIVE, INACTIVE Example:
"ACTIVE"
True when the wallet has a non-empty label
Example:
true
Creation time (ISO 8601)
Example:
"2026-09-30T10:00:00Z"